seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/11/30, 12:27:18


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Nvidia 325.08 won't build against 3.11.0 kernel  (Read 9979 times)

0 Members and 1 Guest are viewing this topic.

Offline clubex

  • User
  • Posts: 265
Nvidia 325.08 won't build against 3.11.0 kernel
« on: 2013/09/10, 12:24:27 »
Nvidia 325.08 won't build against 3.11.0 kernel
Code: [Select]

Error! Bad return status for module build on kernel:3.11-0.towo-siduction-amd64
Consult /var/lib/dkms/nvidia/325.08/build/make.log for more information.


Same with 325.15-1 from experimental.

So, does this mean that I need to go back to (fixed) driver 325.08 to run kernel 3.11?

Thanks.


Crap --- sorry to mess up your original post clubex.  I did "edit" and I meant to do "quote".  My bad -- too many mod powers in my hands!

Online towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.417
RE: Nvidia 325.08 won
« Reply #1 on: 2013/09/10, 14:56:55 »
I have uploaded a fixed version in our fixes-repo.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline musca

  • Global Moderator
  • User
  • *****
  • Posts: 725
  • sid, fly high!
RE: Nvidia 325.08 won
« Reply #2 on: 2013/09/10, 16:12:53 »
Dear users of older nvidia cards!
Geforce 6xxx and 7xxx are no longer supported by the new 325.15 release.

Luckily everything went fine with the new nvidia-legacy-304xx-driver from debian unstable repo, which has patches for kernel 3.11 included.

Code: [Select]
$ apt-get changelog  nvidia-legacy-304xx-driver | grep '3\.11'
  * kernel-3.11.patch: New patch to fix compilation with Linux 3.11-rc.


Also with a little help from towo` i managed to avoid conflicts by removing all old nvidia packages and then installing the new driver.

Code: [Select]
apt-get purge $(dpkg -l | awk '/nvidia/{print $2}') && apt-get install nvidia-legacy-304xx-driver nvidia-settings nvidia-vdpau-driver

Thanks towo` for the nice support and optimal results!

greetings
musca
„Es irrt der Mensch, solang er strebt.“  (Goethe, Faust)

Offline clubex

  • User
  • Posts: 265
RE: Nvidia 325.08 won
« Reply #3 on: 2013/09/10, 17:00:57 »
Thanks towo

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 2.058
    • Land of the Buckeye
RE: Nvidia 325.08 won
« Reply #4 on: 2013/09/10, 20:31:44 »
Same problem exists with driver 325.15-1 from experimental, which I have been running for some weeks with no issues.  So I think this means if I want to boot kernel 3.11, I need to revert the driver back to the (fixed) 3.08 from siduction fixes, right?
Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO, 2@WD1003FZEX in BTRFS

Online towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.417
RE: Nvidia 325.08 won
« Reply #5 on: 2013/09/10, 20:48:38 »
In siduction-fixes is 325.15.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 2.058
    • Land of the Buckeye
RE: Nvidia 325.08 won
« Reply #6 on: 2013/09/10, 21:21:35 »
Got it.  The hardest issues of all are when it is a PEBKAC -- somehow for a year or more I was operating this system without the non-free fixes repo!  :oops:

Working fine now -- thank you very much towo for these great contributions.
Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO, 2@WD1003FZEX in BTRFS

Offline Gabriel_M

  • User
  • Posts: 33
My experience:
« Reply #7 on: 2013/09/10, 23:01:24 »
I have cards nvidia series 6 y 7 and executed Siduction Xfce 32 bits.
After a dist-upgrade, the graphics failed by incompatibility of new drivers.
Following the manual, through Control + Alt + F1
I uninstall nvidia drivers and i install opensource drivers
After a reboot, the graphics failed.
Following the manual, through Control + Alt + F1
I uninstall opensource drivers  and i install nvidia-legacy173xx drivers.
After a reboot,the graphics worked fine.

Online towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.417
RE: My experience:
« Reply #8 on: 2013/09/10, 23:03:14 »
For GeForce 6xxx ad 7xxx you should install nvidia-legacy-304xx-driver.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 2.058
    • Land of the Buckeye
Re: RE: Nvidia 325.08 won
« Reply #9 on: 2013/09/11, 17:13:32 »
Quote from: "musca"


Code: [Select]
apt-get purge $(dpkg -l | awk '/nvidia/{print $2}') && apt-get install nvidia-legacy-304xx-driver nvidia-settings nvidia-vdpau-driver



I am struggling with a Quadro NVS 110M/Geforce Go 7300 that needs the 304xx legacy driver installed.  I have removed everything nvidia and libglx at this point, and (again) tried the nouveau driver, which loads and runs, but the KDE desktop is unusable garbage -- can't even see enough of system-settings to adjust to other resolutions.

Is the above installation command sufficient on a system with no nvidia-kernel-source packages installed, or do the 3 packages described in the manual (nvidia-kernel-source, nvidia-kernel-common, and nvidia-kernel-dkms) need to be installed first?  And I see that there are now "legacy" versions for some of those packages, but I don't see "legacy-304xx" for all of them?

Thanks for a hint!


EDIT:  Never mind -- I answered my own question.  The answer is actually this:

(a) None of the 3 nvidia-kernel-source packages described in the manual should be installed -- absolutely nothing "nvidia" or "libglx" should be on the system.

(b) There is a problem installing nvidia-settings at the same time -- it depends on nvidia-alternative, which is not able to be pulled in.  So I installed nvidia-legacy-304xx-driver and nvidia-vdpau-driver, and they came in and pulled in all needed dependencies, and the system is running KDE as it did prior to yesterday.

nvidia-settings is not terribly important for this user, so if it is not cleanly able to be installed with nvidia-alternative, I will skip that.
Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO, 2@WD1003FZEX in BTRFS

Offline michaa7

  • User
  • Posts: 2.128
Re: RE: Nvidia 325.08 won
« Reply #10 on: 2013/09/11, 17:24:27 »
32-bit wasn't uploaded from Debian, towo uploaded a fixed package to the fixes repo.

Then for me all went well with:

Quote
apt-get purge $(dpkg -l | awk '/nvidia/{print $2}') && apt-get install nvidia-legacy-304xx-driver nvidia-vdpau-driver libxvmcnvidia1

nvidia-settings is not installable due to dependency issues.
Ok, you can't code, but you still might be able to write a bug report for Debian's sake

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 2.058
    • Land of the Buckeye
RE: Re: RE: Nvidia 325.08 won
« Reply #11 on: 2013/09/11, 17:31:31 »
@micha you posted when I posted my edit.  :)

In my case (a 64-bit Dell laptop), libxvmcnvidia1 was pulled in with the driver packages.

On nvidia-alternative, I can see a package ver. 304.108-2 in the sid repo, but I'm not going to install that or nvidia-settings until I hear someone else say it doesn't cause trouble.
Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO, 2@WD1003FZEX in BTRFS

Offline michaa7

  • User
  • Posts: 2.128
Re: RE: Re: RE: Nvidia 325.08 won
« Reply #12 on: 2013/09/11, 19:52:19 »
Quote from: "dibl"
...
On nvidia-alternative, I can see a package ver. 304.108-2 in the sid repo,

I can't. Here on 32 bit it's 304.108-1
Quote from: "dibl"
but I'm not going to install that or nvidia-settings until I hear someone else say it doesn't cause trouble.
I now tried :
Code: [Select]
apt-get install nvidia-settings=304.108-1  nvidia-alternative=304.108-1 which successfully installed both packages.

But whoever follows this road, please refrain from installing the suggested libgl1-nvidia-glx because it installs v325, or when installed with in the "appropriate" version libgl1-nvidia-glx=304.108-1 it will conflict with libgl1-nvidia-legacy-304xx-glx.

Other than that there is no problem ... on 32 bit!

To me it seems nvidia dependencies between old 304 and new legacy 304xx are currently a mess.
Ok, you can't code, but you still might be able to write a bug report for Debian's sake

Offline spacepenguin

  • User
  • Posts: 863
    • spacepenguin.de
Re: RE: Re: RE: Nvidia 325.08 won
« Reply #13 on: 2013/09/13, 14:10:42 »
My system is running with the 304 driver (not legacy yet), the card is an GF 8400. So the 325 should work. Is it automatically switched to the 325 driver when I do a dist-upgrade now?

The d-u pulls in the 3.11 kernel and some nvidia stuff, libxvmcnvidia1 libxvmcnvidia1:i386 nvidia-settings are to be removed. Is that ok in this case? Or do I have to do anything else? The siduction fixes repo is activated as is debian experimental, siduction experimental is not.
Susan | Hardware: SysProfile
Music-Profile: http://www.last.fm/de/user/spacepengu

Offline michaa7

  • User
  • Posts: 2.128
Re: RE: Re: RE: Nvidia 325.08 won
« Reply #14 on: 2013/09/13, 14:50:52 »
Ich bin mir ziehmlich sicher, dass der 325 gezogen wird wenn du einfach ein d-u durchführst.

Vorab kannst du testen mit:
Code: [Select]
apt-cache policy nvidia-driver nvidia-glx

Du siehst dann was so in den regalen rumliegt, und "installationskandidat" zeigt dir das auserwählte paket.

EN:
I guess an ordinary d-u will install 325, but you may test (see above in DE text)

You'll see what's around, and "Candidate" will show the one which will be picked by default.
Ok, you can't code, but you still might be able to write a bug report for Debian's sake